com.google.gwt.user.cellview.client

## Interface CellBrowser.Resources

All Superinterfaces:
  ClientBundle

Enclosing class:
  CellBrowser

    public static interface CellBrowser.Resources
    extends ClientBundle

A ClientBundle that provides images for this widget.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.google.gwt.resources.client.ClientBundle

`ClientBundle.Source`

### Method Summary

All Methods Instance Methods Abstract Methods
`ImageResource` `cellBrowserClosed()` An image indicating a closed branch.
`ImageResource` `cellBrowserOpen()` An image indicating an open branch.
`ImageResource` `cellBrowserOpenBackground()` The background used for open items.
`ImageResource` `cellBrowserSelectedBackground()` The background used for selected items.
`CellBrowser.Style` `cellBrowserStyle()` The styles used in this widget.

### Method Detail

#### cellBrowserClosed

    @ImageResource.ImageOptions(flipRtl=true)
    ImageResource cellBrowserClosed()

An image indicating a closed branch.

#### cellBrowserOpen

    @ImageResource.ImageOptions(flipRtl=true)
    ImageResource cellBrowserOpen()

An image indicating an open branch.

#### cellBrowserOpenBackground

    @ImageResource.ImageOptions(repeatStyle=Both,
                                flipRtl=true)
    ImageResource cellBrowserOpenBackground()

The background used for open items.

#### cellBrowserSelectedBackground

    @ClientBundle.Source(value="cellTreeSelectedBackground.png")
     @ImageResource.ImageOptions(repeatStyle=Both,
                                flipRtl=true)
    ImageResource cellBrowserSelectedBackground()

The background used for selected items.

#### cellBrowserStyle

    @ClientBundle.Source(value="com/google/gwt/user/cellview/client/CellBrowser.css")
    CellBrowser.Style cellBrowserStyle()

The styles used in this widget.